Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/HiveJobView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/HiveJobView.cs	(revision 5711)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/HiveJobView.cs	(revision 5718)
@@ -23,5 +23,4 @@
 using System.Linq;
 using System.Windows.Forms;
-using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -62,9 +61,7 @@
       if (Content != null && Content.Job != null) {
         logView.Content = Content.OptimizerJob.Log;
-        childHiveJobView.Content = Content.ChildHiveJobs;
         computeInParallelCheckBox.Checked = Content.OptimizerJob.ComputeInParallel;
       } else {
         logView.Content = null;
-        childHiveJobView.Content = null;
         computeInParallelCheckBox.Checked = false;
       }
@@ -110,5 +107,5 @@
         if (Content != null && Content.Job != null) {
           this.jobIdTextBox.Text = Content.Job.Id.ToString();
-          this.dateCreatedTextBox.Text = Content.Job.DateCreated.ToString();
+          this.dateCreatedTextBox.Text = Content.Job.DateCreated.HasValue ? Content.Job.DateCreated.ToString() : "-";
           this.priorityTextBox.Text = Content.Job.Priority.ToString();
           this.coresNeededTextBox.Text = Content.Job.CoresNeeded.ToString();
@@ -131,9 +128,8 @@
           this.stateTextBox.Text = Content.Job.State.ToString();
           this.executionTimeTextBox.Text = Content.Job.ExecutionTime.ToString();
-          //this.dateCalculatedText.Text = Content.Job.DateCalculated.ToString();
           this.dateFinishedTextBox.Text = Content.Job.DateFinished.ToString();
           this.exceptionTextBox.Text = Content.Job.CurrentStateLog.Exception;
           if (Content.OptimizerJob.ComputeInParallel) {
-            this.stateLogViewHost.Content = new ItemList<StateLogList>(
+            this.stateLogViewHost.Content = new StateLogListList(
                 this.Content.ChildHiveJobs.Select(child => new StateLogList(child.Job.StateLog)
               ));
@@ -168,5 +164,4 @@
 
       optimizerNamedItemView.ReadOnly = true;
-      ShowOrHideChildJobTabPage();
     }
 
@@ -176,17 +171,4 @@
       } else {
         computeInParallelCheckBox.Checked = Content.OptimizerJob.ComputeInParallel;
-        ShowOrHideChildJobTabPage();
-      }
-    }
-
-    private void ShowOrHideChildJobTabPage() {
-      if (Content != null && Content.OptimizerJob != null) {
-        if (!Content.OptimizerJob.ComputeInParallel) {
-          if (tabControl.TabPages.Contains(childJobsTabPage))
-            tabControl.TabPages.Remove(childJobsTabPage);
-        } else {
-          if (!tabControl.TabPages.Contains(childJobsTabPage))
-            tabControl.TabPages.Insert(1, childJobsTabPage);
-        }
       }
     }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/HiveJobView.designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/HiveJobView.designer.cs	(revision 5711)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/HiveJobView.designer.cs	(revision 5718)
@@ -24,156 +24,138 @@
     /// </summary>
     private void InitializeComponent() {
+      this.logTabPage = new System.Windows.Forms.TabPage();
+      this.logView = new HeuristicLab.Core.Views.LogView();
+      this.stateLogTabPage = new System.Windows.Forms.TabPage();
+      this.stateLogViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.runsTabPage = new System.Windows.Forms.TabPage();
+      this.runCollectionViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.detailsTabPage = new System.Windows.Forms.TabPage();
+      this.jobStatusGroupBox = new System.Windows.Forms.GroupBox();
+      this.exceptionTextBox = new System.Windows.Forms.TextBox();
+      this.dateFinishedLabel = new System.Windows.Forms.Label();
+      this.dateCreatedLabel = new System.Windows.Forms.Label();
+      this.exceptionLabel = new System.Windows.Forms.Label();
+      this.executionTimeLabel = new System.Windows.Forms.Label();
+      this.dateCreatedTextBox = new System.Windows.Forms.TextBox();
+      this.executionTimeTextBox = new System.Windows.Forms.TextBox();
+      this.dateFinishedTextBox = new System.Windows.Forms.TextBox();
+      this.dateCalculatedText = new System.Windows.Forms.TextBox();
       this.stateLabel = new System.Windows.Forms.Label();
+      this.dateCalculatedLabel = new System.Windows.Forms.Label();
       this.stateTextBox = new System.Windows.Forms.TextBox();
-      this.executionTimeTextBox = new System.Windows.Forms.TextBox();
-      this.dateCreatedTextBox = new System.Windows.Forms.TextBox();
-      this.dateFinishedTextBox = new System.Windows.Forms.TextBox();
-      this.exceptionTextBox = new System.Windows.Forms.TextBox();
-      this.executionTimeLabel = new System.Windows.Forms.Label();
-      this.dateCreatedLabel = new System.Windows.Forms.Label();
-      this.dateFinishedLabel = new System.Windows.Forms.Label();
-      this.exceptionLabel = new System.Windows.Forms.Label();
-      this.dateCalculatedText = new System.Windows.Forms.TextBox();
-      this.dateCalculatedLabel = new System.Windows.Forms.Label();
-      this.jobStatusGroupBox = new System.Windows.Forms.GroupBox();
-      this.tabControl = new System.Windows.Forms.TabControl();
-      this.detailsTabPage = new System.Windows.Forms.TabPage();
+      this.jobIdTextBox = new System.Windows.Forms.TextBox();
+      this.jobIdLabel = new System.Windows.Forms.Label();
+      this.configurationGroupBox = new System.Windows.Forms.GroupBox();
+      this.computeInParallelCheckBox = new System.Windows.Forms.CheckBox();
+      this.computeInParallelLabel = new System.Windows.Forms.Label();
+      this.coresNeededLabel = new System.Windows.Forms.Label();
+      this.memoryNeededLabel = new System.Windows.Forms.Label();
+      this.memoryNeededTextBox = new System.Windows.Forms.TextBox();
+      this.coresNeededTextBox = new System.Windows.Forms.TextBox();
+      this.priorityLabel = new System.Windows.Forms.Label();
+      this.priorityTextBox = new System.Windows.Forms.TextBox();
       this.optimizerGroupBox = new System.Windows.Forms.GroupBox();
       this.optimizerNamedItemView = new HeuristicLab.Core.Views.NamedItemView();
-      this.configurationGroupBox = new System.Windows.Forms.GroupBox();
-      this.priorityTextBox = new System.Windows.Forms.TextBox();
-      this.priorityLabel = new System.Windows.Forms.Label();
-      this.coresNeededTextBox = new System.Windows.Forms.TextBox();
-      this.memoryNeededTextBox = new System.Windows.Forms.TextBox();
-      this.memoryNeededLabel = new System.Windows.Forms.Label();
-      this.coresNeededLabel = new System.Windows.Forms.Label();
-      this.computeInParallelLabel = new System.Windows.Forms.Label();
-      this.computeInParallelCheckBox = new System.Windows.Forms.CheckBox();
-      this.jobIdLabel = new System.Windows.Forms.Label();
-      this.jobIdTextBox = new System.Windows.Forms.TextBox();
-      this.childJobsTabPage = new System.Windows.Forms.TabPage();
-      this.runsTabPage = new System.Windows.Forms.TabPage();
-      this.runCollectionViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.stateLogTabPage = new System.Windows.Forms.TabPage();
-      this.stateLogViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.logTabPage = new System.Windows.Forms.TabPage();
-      this.logView = new HeuristicLab.Core.Views.LogView();
-      this.childHiveJobView = new HeuristicLab.Clients.Hive.Views.HiveJobListView();
+      this.tabControl = new System.Windows.Forms.TabControl();
+      this.logTabPage.SuspendLayout();
+      this.stateLogTabPage.SuspendLayout();
+      this.runsTabPage.SuspendLayout();
+      this.detailsTabPage.SuspendLayout();
       this.jobStatusGroupBox.SuspendLayout();
+      this.configurationGroupBox.SuspendLayout();
+      this.optimizerGroupBox.SuspendLayout();
       this.tabControl.SuspendLayout();
-      this.detailsTabPage.SuspendLayout();
-      this.optimizerGroupBox.SuspendLayout();
-      this.configurationGroupBox.SuspendLayout();
-      this.childJobsTabPage.SuspendLayout();
-      this.runsTabPage.SuspendLayout();
-      this.stateLogTabPage.SuspendLayout();
-      this.logTabPage.SuspendLayout();
       this.SuspendLayout();
       // 
-      // stateLabel
-      // 
-      this.stateLabel.AutoSize = true;
-      this.stateLabel.Location = new System.Drawing.Point(7, 19);
-      this.stateLabel.Name = "stateLabel";
-      this.stateLabel.Size = new System.Drawing.Size(35, 13);
-      this.stateLabel.TabIndex = 0;
-      this.stateLabel.Text = "State:";
-      // 
-      // stateTextBox
-      // 
-      this.stateTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.stateTextBox.Location = new System.Drawing.Point(95, 19);
-      this.stateTextBox.Name = "stateTextBox";
-      this.stateTextBox.Size = new System.Drawing.Size(509, 20);
-      this.stateTextBox.TabIndex = 2;
-      // 
-      // executionTimeTextBox
-      // 
-      this.executionTimeTextBox.Location = new System.Drawing.Point(95, 41);
-      this.executionTimeTextBox.Name = "executionTimeTextBox";
-      this.executionTimeTextBox.Size = new System.Drawing.Size(509, 20);
-      this.executionTimeTextBox.TabIndex = 4;
-      // 
-      // dateCreatedTextBox
-      // 
-      this.dateCreatedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.dateCreatedTextBox.Location = new System.Drawing.Point(95, 63);
-      this.dateCreatedTextBox.Name = "dateCreatedTextBox";
-      this.dateCreatedTextBox.Size = new System.Drawing.Size(509, 20);
-      this.dateCreatedTextBox.TabIndex = 5;
-      // 
-      // dateFinishedTextBox
-      // 
-      this.dateFinishedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.dateFinishedTextBox.Location = new System.Drawing.Point(95, 107);
-      this.dateFinishedTextBox.Name = "dateFinishedTextBox";
-      this.dateFinishedTextBox.Size = new System.Drawing.Size(509, 20);
-      this.dateFinishedTextBox.TabIndex = 6;
-      // 
-      // exceptionTextBox
-      // 
-      this.exceptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.exceptionTextBox.Location = new System.Drawing.Point(95, 129);
-      this.exceptionTextBox.Name = "exceptionTextBox";
-      this.exceptionTextBox.Size = new System.Drawing.Size(509, 20);
-      this.exceptionTextBox.TabIndex = 10;
-      // 
-      // executionTimeLabel
-      // 
-      this.executionTimeLabel.AutoSize = true;
-      this.executionTimeLabel.Location = new System.Drawing.Point(7, 41);
-      this.executionTimeLabel.Name = "executionTimeLabel";
-      this.executionTimeLabel.Size = new System.Drawing.Size(80, 13);
-      this.executionTimeLabel.TabIndex = 13;
-      this.executionTimeLabel.Text = "ExecutionTime:";
-      // 
-      // dateCreatedLabel
-      // 
-      this.dateCreatedLabel.AutoSize = true;
-      this.dateCreatedLabel.Location = new System.Drawing.Point(7, 63);
-      this.dateCreatedLabel.Name = "dateCreatedLabel";
-      this.dateCreatedLabel.Size = new System.Drawing.Size(70, 13);
-      this.dateCreatedLabel.TabIndex = 14;
-      this.dateCreatedLabel.Text = "DateCreated:";
-      // 
-      // dateFinishedLabel
-      // 
-      this.dateFinishedLabel.AutoSize = true;
-      this.dateFinishedLabel.Location = new System.Drawing.Point(7, 107);
-      this.dateFinishedLabel.Name = "dateFinishedLabel";
-      this.dateFinishedLabel.Size = new System.Drawing.Size(72, 13);
-      this.dateFinishedLabel.TabIndex = 15;
-      this.dateFinishedLabel.Text = "DateFinished:";
-      // 
-      // exceptionLabel
-      // 
-      this.exceptionLabel.AutoSize = true;
-      this.exceptionLabel.Location = new System.Drawing.Point(7, 129);
-      this.exceptionLabel.Name = "exceptionLabel";
-      this.exceptionLabel.Size = new System.Drawing.Size(57, 13);
-      this.exceptionLabel.TabIndex = 19;
-      this.exceptionLabel.Text = "Exception:";
-      // 
-      // dateCalculatedText
-      // 
-      this.dateCalculatedText.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.dateCalculatedText.Location = new System.Drawing.Point(95, 85);
-      this.dateCalculatedText.Name = "dateCalculatedText";
-      this.dateCalculatedText.Size = new System.Drawing.Size(509, 20);
-      this.dateCalculatedText.TabIndex = 22;
-      // 
-      // dateCalculatedLabel
-      // 
-      this.dateCalculatedLabel.AutoSize = true;
-      this.dateCalculatedLabel.Location = new System.Drawing.Point(7, 85);
-      this.dateCalculatedLabel.Name = "dateCalculatedLabel";
-      this.dateCalculatedLabel.Size = new System.Drawing.Size(83, 13);
-      this.dateCalculatedLabel.TabIndex = 23;
-      this.dateCalculatedLabel.Text = "DateCalculated:";
+      // logTabPage
+      // 
+      this.logTabPage.Controls.Add(this.logView);
+      this.logTabPage.Location = new System.Drawing.Point(4, 22);
+      this.logTabPage.Name = "logTabPage";
+      this.logTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.logTabPage.Size = new System.Drawing.Size(619, 492);
+      this.logTabPage.TabIndex = 1;
+      this.logTabPage.Text = "Log";
+      this.logTabPage.UseVisualStyleBackColor = true;
+      // 
+      // logView
+      // 
+      this.logView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.logView.Caption = "Log View";
+      this.logView.Content = null;
+      this.logView.Location = new System.Drawing.Point(3, 3);
+      this.logView.Name = "logView";
+      this.logView.ReadOnly = false;
+      this.logView.Size = new System.Drawing.Size(613, 486);
+      this.logView.TabIndex = 0;
+      // 
+      // stateLogTabPage
+      // 
+      this.stateLogTabPage.Controls.Add(this.stateLogViewHost);
+      this.stateLogTabPage.Location = new System.Drawing.Point(4, 22);
+      this.stateLogTabPage.Name = "stateLogTabPage";
+      this.stateLogTabPage.Size = new System.Drawing.Size(619, 492);
+      this.stateLogTabPage.TabIndex = 5;
+      this.stateLogTabPage.Text = "State";
+      this.stateLogTabPage.UseVisualStyleBackColor = true;
+      // 
+      // stateLogViewHost
+      // 
+      this.stateLogViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.stateLogViewHost.Caption = "View";
+      this.stateLogViewHost.Content = null;
+      this.stateLogViewHost.Enabled = false;
+      this.stateLogViewHost.Location = new System.Drawing.Point(0, 0);
+      this.stateLogViewHost.Name = "stateLogViewHost";
+      this.stateLogViewHost.ReadOnly = false;
+      this.stateLogViewHost.Size = new System.Drawing.Size(619, 492);
+      this.stateLogViewHost.TabIndex = 0;
+      this.stateLogViewHost.ViewsLabelVisible = true;
+      this.stateLogViewHost.ViewType = null;
+      // 
+      // runsTabPage
+      // 
+      this.runsTabPage.Controls.Add(this.runCollectionViewHost);
+      this.runsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.runsTabPage.Name = "runsTabPage";
+      this.runsTabPage.Size = new System.Drawing.Size(619, 492);
+      this.runsTabPage.TabIndex = 4;
+      this.runsTabPage.Text = "Runs";
+      this.runsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // runCollectionViewHost
+      // 
+      this.runCollectionViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.runCollectionViewHost.Caption = "View";
+      this.runCollectionViewHost.Content = null;
+      this.runCollectionViewHost.Enabled = false;
+      this.runCollectionViewHost.Location = new System.Drawing.Point(3, 3);
+      this.runCollectionViewHost.Name = "runCollectionViewHost";
+      this.runCollectionViewHost.ReadOnly = false;
+      this.runCollectionViewHost.Size = new System.Drawing.Size(613, 486);
+      this.runCollectionViewHost.TabIndex = 0;
+      this.runCollectionViewHost.ViewsLabelVisible = true;
+      this.runCollectionViewHost.ViewType = null;
+      // 
+      // detailsTabPage
+      // 
+      this.detailsTabPage.Controls.Add(this.optimizerGroupBox);
+      this.detailsTabPage.Controls.Add(this.configurationGroupBox);
+      this.detailsTabPage.Controls.Add(this.jobIdLabel);
+      this.detailsTabPage.Controls.Add(this.jobIdTextBox);
+      this.detailsTabPage.Controls.Add(this.jobStatusGroupBox);
+      this.detailsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.detailsTabPage.Name = "detailsTabPage";
+      this.detailsTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.detailsTabPage.Size = new System.Drawing.Size(619, 492);
+      this.detailsTabPage.TabIndex = 0;
+      this.detailsTabPage.Text = "Details";
+      this.detailsTabPage.UseVisualStyleBackColor = true;
       // 
       // jobStatusGroupBox
@@ -200,58 +182,127 @@
       this.jobStatusGroupBox.Text = "Job Status";
       // 
-      // tabControl
-      // 
-      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.tabControl.Controls.Add(this.detailsTabPage);
-      this.tabControl.Controls.Add(this.childJobsTabPage);
-      this.tabControl.Controls.Add(this.runsTabPage);
-      this.tabControl.Controls.Add(this.stateLogTabPage);
-      this.tabControl.Controls.Add(this.logTabPage);
-      this.tabControl.Location = new System.Drawing.Point(3, 3);
-      this.tabControl.Name = "tabControl";
-      this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(627, 518);
-      this.tabControl.TabIndex = 25;
-      // 
-      // detailsTabPage
-      // 
-      this.detailsTabPage.Controls.Add(this.optimizerGroupBox);
-      this.detailsTabPage.Controls.Add(this.configurationGroupBox);
-      this.detailsTabPage.Controls.Add(this.jobIdLabel);
-      this.detailsTabPage.Controls.Add(this.jobIdTextBox);
-      this.detailsTabPage.Controls.Add(this.jobStatusGroupBox);
-      this.detailsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.detailsTabPage.Name = "detailsTabPage";
-      this.detailsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.detailsTabPage.Size = new System.Drawing.Size(619, 492);
-      this.detailsTabPage.TabIndex = 0;
-      this.detailsTabPage.Text = "Details";
-      this.detailsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // optimizerGroupBox
-      // 
-      this.optimizerGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.optimizerGroupBox.Controls.Add(this.optimizerNamedItemView);
-      this.optimizerGroupBox.Location = new System.Drawing.Point(6, 29);
-      this.optimizerGroupBox.Name = "optimizerGroupBox";
-      this.optimizerGroupBox.Size = new System.Drawing.Size(610, 74);
-      this.optimizerGroupBox.TabIndex = 28;
-      this.optimizerGroupBox.TabStop = false;
-      this.optimizerGroupBox.Text = "Optimizer";
-      // 
-      // optimizerNamedItemView
-      // 
-      this.optimizerNamedItemView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.optimizerNamedItemView.Caption = "NamedItem View";
-      this.optimizerNamedItemView.Content = null;
-      this.optimizerNamedItemView.Location = new System.Drawing.Point(6, 20);
-      this.optimizerNamedItemView.Name = "optimizerNamedItemView";
-      this.optimizerNamedItemView.ReadOnly = false;
-      this.optimizerNamedItemView.Size = new System.Drawing.Size(598, 51);
-      this.optimizerNamedItemView.TabIndex = 0;
+      // exceptionTextBox
+      // 
+      this.exceptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.exceptionTextBox.Location = new System.Drawing.Point(95, 129);
+      this.exceptionTextBox.Name = "exceptionTextBox";
+      this.exceptionTextBox.Size = new System.Drawing.Size(509, 20);
+      this.exceptionTextBox.TabIndex = 10;
+      // 
+      // dateFinishedLabel
+      // 
+      this.dateFinishedLabel.AutoSize = true;
+      this.dateFinishedLabel.Location = new System.Drawing.Point(7, 107);
+      this.dateFinishedLabel.Name = "dateFinishedLabel";
+      this.dateFinishedLabel.Size = new System.Drawing.Size(72, 13);
+      this.dateFinishedLabel.TabIndex = 15;
+      this.dateFinishedLabel.Text = "DateFinished:";
+      // 
+      // dateCreatedLabel
+      // 
+      this.dateCreatedLabel.AutoSize = true;
+      this.dateCreatedLabel.Location = new System.Drawing.Point(7, 63);
+      this.dateCreatedLabel.Name = "dateCreatedLabel";
+      this.dateCreatedLabel.Size = new System.Drawing.Size(70, 13);
+      this.dateCreatedLabel.TabIndex = 14;
+      this.dateCreatedLabel.Text = "DateCreated:";
+      // 
+      // exceptionLabel
+      // 
+      this.exceptionLabel.AutoSize = true;
+      this.exceptionLabel.Location = new System.Drawing.Point(7, 129);
+      this.exceptionLabel.Name = "exceptionLabel";
+      this.exceptionLabel.Size = new System.Drawing.Size(57, 13);
+      this.exceptionLabel.TabIndex = 19;
+      this.exceptionLabel.Text = "Exception:";
+      // 
+      // executionTimeLabel
+      // 
+      this.executionTimeLabel.AutoSize = true;
+      this.executionTimeLabel.Location = new System.Drawing.Point(7, 41);
+      this.executionTimeLabel.Name = "executionTimeLabel";
+      this.executionTimeLabel.Size = new System.Drawing.Size(80, 13);
+      this.executionTimeLabel.TabIndex = 13;
+      this.executionTimeLabel.Text = "ExecutionTime:";
+      // 
+      // dateCreatedTextBox
+      // 
+      this.dateCreatedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.dateCreatedTextBox.Location = new System.Drawing.Point(95, 63);
+      this.dateCreatedTextBox.Name = "dateCreatedTextBox";
+      this.dateCreatedTextBox.Size = new System.Drawing.Size(509, 20);
+      this.dateCreatedTextBox.TabIndex = 5;
+      // 
+      // executionTimeTextBox
+      // 
+      this.executionTimeTextBox.Location = new System.Drawing.Point(95, 41);
+      this.executionTimeTextBox.Name = "executionTimeTextBox";
+      this.executionTimeTextBox.Size = new System.Drawing.Size(509, 20);
+      this.executionTimeTextBox.TabIndex = 4;
+      // 
+      // dateFinishedTextBox
+      // 
+      this.dateFinishedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.dateFinishedTextBox.Location = new System.Drawing.Point(95, 107);
+      this.dateFinishedTextBox.Name = "dateFinishedTextBox";
+      this.dateFinishedTextBox.Size = new System.Drawing.Size(509, 20);
+      this.dateFinishedTextBox.TabIndex = 6;
+      // 
+      // dateCalculatedText
+      // 
+      this.dateCalculatedText.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.dateCalculatedText.Location = new System.Drawing.Point(95, 85);
+      this.dateCalculatedText.Name = "dateCalculatedText";
+      this.dateCalculatedText.Size = new System.Drawing.Size(509, 20);
+      this.dateCalculatedText.TabIndex = 22;
+      // 
+      // stateLabel
+      // 
+      this.stateLabel.AutoSize = true;
+      this.stateLabel.Location = new System.Drawing.Point(7, 19);
+      this.stateLabel.Name = "stateLabel";
+      this.stateLabel.Size = new System.Drawing.Size(35, 13);
+      this.stateLabel.TabIndex = 0;
+      this.stateLabel.Text = "State:";
+      // 
+      // dateCalculatedLabel
+      // 
+      this.dateCalculatedLabel.AutoSize = true;
+      this.dateCalculatedLabel.Location = new System.Drawing.Point(7, 85);
+      this.dateCalculatedLabel.Name = "dateCalculatedLabel";
+      this.dateCalculatedLabel.Size = new System.Drawing.Size(83, 13);
+      this.dateCalculatedLabel.TabIndex = 23;
+      this.dateCalculatedLabel.Text = "DateCalculated:";
+      // 
+      // stateTextBox
+      // 
+      this.stateTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.stateTextBox.Location = new System.Drawing.Point(95, 19);
+      this.stateTextBox.Name = "stateTextBox";
+      this.stateTextBox.Size = new System.Drawing.Size(509, 20);
+      this.stateTextBox.TabIndex = 2;
+      // 
+      // jobIdTextBox
+      // 
+      this.jobIdTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.jobIdTextBox.Location = new System.Drawing.Point(91, 6);
+      this.jobIdTextBox.Name = "jobIdTextBox";
+      this.jobIdTextBox.Size = new System.Drawing.Size(525, 20);
+      this.jobIdTextBox.TabIndex = 26;
+      // 
+      // jobIdLabel
+      // 
+      this.jobIdLabel.AutoSize = true;
+      this.jobIdLabel.Location = new System.Drawing.Point(3, 6);
+      this.jobIdLabel.Name = "jobIdLabel";
+      this.jobIdLabel.Size = new System.Drawing.Size(36, 13);
+      this.jobIdLabel.TabIndex = 25;
+      this.jobIdLabel.Text = "JobId:";
       // 
       // configurationGroupBox
@@ -274,67 +325,4 @@
       this.configurationGroupBox.Text = "Configuration";
       // 
-      // priorityTextBox
-      // 
-      this.priorityTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.priorityTextBox.Location = new System.Drawing.Point(108, 66);
-      this.priorityTextBox.Name = "priorityTextBox";
-      this.priorityTextBox.Size = new System.Drawing.Size(496, 20);
-      this.priorityTextBox.TabIndex = 41;
-      // 
-      // priorityLabel
-      // 
-      this.priorityLabel.AutoSize = true;
-      this.priorityLabel.Location = new System.Drawing.Point(7, 66);
-      this.priorityLabel.Name = "priorityLabel";
-      this.priorityLabel.Size = new System.Drawing.Size(41, 13);
-      this.priorityLabel.TabIndex = 42;
-      this.priorityLabel.Text = "Priority:";
-      // 
-      // coresNeededTextBox
-      // 
-      this.coresNeededTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.coresNeededTextBox.Location = new System.Drawing.Point(108, 20);
-      this.coresNeededTextBox.Name = "coresNeededTextBox";
-      this.coresNeededTextBox.Size = new System.Drawing.Size(496, 20);
-      this.coresNeededTextBox.TabIndex = 37;
-      // 
-      // memoryNeededTextBox
-      // 
-      this.memoryNeededTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.memoryNeededTextBox.Location = new System.Drawing.Point(108, 42);
-      this.memoryNeededTextBox.Name = "memoryNeededTextBox";
-      this.memoryNeededTextBox.Size = new System.Drawing.Size(496, 20);
-      this.memoryNeededTextBox.TabIndex = 38;
-      // 
-      // memoryNeededLabel
-      // 
-      this.memoryNeededLabel.AutoSize = true;
-      this.memoryNeededLabel.Location = new System.Drawing.Point(7, 42);
-      this.memoryNeededLabel.Name = "memoryNeededLabel";
-      this.memoryNeededLabel.Size = new System.Drawing.Size(85, 13);
-      this.memoryNeededLabel.TabIndex = 40;
-      this.memoryNeededLabel.Text = "MemoryNeeded:";
-      // 
-      // coresNeededLabel
-      // 
-      this.coresNeededLabel.AutoSize = true;
-      this.coresNeededLabel.Location = new System.Drawing.Point(7, 20);
-      this.coresNeededLabel.Name = "coresNeededLabel";
-      this.coresNeededLabel.Size = new System.Drawing.Size(75, 13);
-      this.coresNeededLabel.TabIndex = 39;
-      this.coresNeededLabel.Text = "CoresNeeded:";
-      // 
-      // computeInParallelLabel
-      // 
-      this.computeInParallelLabel.AutoSize = true;
-      this.computeInParallelLabel.Location = new System.Drawing.Point(7, 93);
-      this.computeInParallelLabel.Name = "computeInParallelLabel";
-      this.computeInParallelLabel.Size = new System.Drawing.Size(95, 13);
-      this.computeInParallelLabel.TabIndex = 36;
-      this.computeInParallelLabel.Text = "ComputeInParallel:";
-      // 
       // computeInParallelCheckBox
       // 
@@ -347,120 +335,105 @@
       this.computeInParallelCheckBox.CheckedChanged += new System.EventHandler(this.computeInParallelCheckBox_CheckedChanged);
       // 
-      // jobIdLabel
-      // 
-      this.jobIdLabel.AutoSize = true;
-      this.jobIdLabel.Location = new System.Drawing.Point(3, 6);
-      this.jobIdLabel.Name = "jobIdLabel";
-      this.jobIdLabel.Size = new System.Drawing.Size(36, 13);
-      this.jobIdLabel.TabIndex = 25;
-      this.jobIdLabel.Text = "JobId:";
-      // 
-      // jobIdTextBox
-      // 
-      this.jobIdTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.jobIdTextBox.Location = new System.Drawing.Point(91, 6);
-      this.jobIdTextBox.Name = "jobIdTextBox";
-      this.jobIdTextBox.Size = new System.Drawing.Size(525, 20);
-      this.jobIdTextBox.TabIndex = 26;
-      // 
-      // childJobsTabPage
-      // 
-      this.childJobsTabPage.Controls.Add(this.childHiveJobView);
-      this.childJobsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.childJobsTabPage.Name = "childJobsTabPage";
-      this.childJobsTabPage.Size = new System.Drawing.Size(619, 492);
-      this.childJobsTabPage.TabIndex = 2;
-      this.childJobsTabPage.Text = "Child Jobs";
-      this.childJobsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // runsTabPage
-      // 
-      this.runsTabPage.Controls.Add(this.runCollectionViewHost);
-      this.runsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.runsTabPage.Name = "runsTabPage";
-      this.runsTabPage.Size = new System.Drawing.Size(619, 492);
-      this.runsTabPage.TabIndex = 4;
-      this.runsTabPage.Text = "Runs";
-      this.runsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // runCollectionViewHost
-      // 
-      this.runCollectionViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+      // computeInParallelLabel
+      // 
+      this.computeInParallelLabel.AutoSize = true;
+      this.computeInParallelLabel.Location = new System.Drawing.Point(7, 93);
+      this.computeInParallelLabel.Name = "computeInParallelLabel";
+      this.computeInParallelLabel.Size = new System.Drawing.Size(95, 13);
+      this.computeInParallelLabel.TabIndex = 36;
+      this.computeInParallelLabel.Text = "ComputeInParallel:";
+      // 
+      // coresNeededLabel
+      // 
+      this.coresNeededLabel.AutoSize = true;
+      this.coresNeededLabel.Location = new System.Drawing.Point(7, 20);
+      this.coresNeededLabel.Name = "coresNeededLabel";
+      this.coresNeededLabel.Size = new System.Drawing.Size(75, 13);
+      this.coresNeededLabel.TabIndex = 39;
+      this.coresNeededLabel.Text = "CoresNeeded:";
+      // 
+      // memoryNeededLabel
+      // 
+      this.memoryNeededLabel.AutoSize = true;
+      this.memoryNeededLabel.Location = new System.Drawing.Point(7, 42);
+      this.memoryNeededLabel.Name = "memoryNeededLabel";
+      this.memoryNeededLabel.Size = new System.Drawing.Size(85, 13);
+      this.memoryNeededLabel.TabIndex = 40;
+      this.memoryNeededLabel.Text = "MemoryNeeded:";
+      // 
+      // memoryNeededTextBox
+      // 
+      this.memoryNeededTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.memoryNeededTextBox.Location = new System.Drawing.Point(108, 42);
+      this.memoryNeededTextBox.Name = "memoryNeededTextBox";
+      this.memoryNeededTextBox.Size = new System.Drawing.Size(496, 20);
+      this.memoryNeededTextBox.TabIndex = 38;
+      // 
+      // coresNeededTextBox
+      // 
+      this.coresNeededTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.coresNeededTextBox.Location = new System.Drawing.Point(108, 20);
+      this.coresNeededTextBox.Name = "coresNeededTextBox";
+      this.coresNeededTextBox.Size = new System.Drawing.Size(496, 20);
+      this.coresNeededTextBox.TabIndex = 37;
+      // 
+      // priorityLabel
+      // 
+      this.priorityLabel.AutoSize = true;
+      this.priorityLabel.Location = new System.Drawing.Point(7, 66);
+      this.priorityLabel.Name = "priorityLabel";
+      this.priorityLabel.Size = new System.Drawing.Size(41, 13);
+      this.priorityLabel.TabIndex = 42;
+      this.priorityLabel.Text = "Priority:";
+      // 
+      // priorityTextBox
+      // 
+      this.priorityTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.priorityTextBox.Location = new System.Drawing.Point(108, 66);
+      this.priorityTextBox.Name = "priorityTextBox";
+      this.priorityTextBox.Size = new System.Drawing.Size(496, 20);
+      this.priorityTextBox.TabIndex = 41;
+      // 
+      // optimizerGroupBox
+      // 
+      this.optimizerGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.optimizerGroupBox.Controls.Add(this.optimizerNamedItemView);
+      this.optimizerGroupBox.Location = new System.Drawing.Point(6, 29);
+      this.optimizerGroupBox.Name = "optimizerGroupBox";
+      this.optimizerGroupBox.Size = new System.Drawing.Size(610, 74);
+      this.optimizerGroupBox.TabIndex = 28;
+      this.optimizerGroupBox.TabStop = false;
+      this.optimizerGroupBox.Text = "Optimizer";
+      // 
+      // optimizerNamedItemView
+      // 
+      this.optimizerNamedItemView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.optimizerNamedItemView.Caption = "NamedItem View";
+      this.optimizerNamedItemView.Content = null;
+      this.optimizerNamedItemView.Location = new System.Drawing.Point(6, 20);
+      this.optimizerNamedItemView.Name = "optimizerNamedItemView";
+      this.optimizerNamedItemView.ReadOnly = false;
+      this.optimizerNamedItemView.Size = new System.Drawing.Size(598, 51);
+      this.optimizerNamedItemView.TabIndex = 0;
+      // 
+      // tabControl
+      // 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.runCollectionViewHost.Caption = "View";
-      this.runCollectionViewHost.Content = null;
-      this.runCollectionViewHost.Enabled = false;
-      this.runCollectionViewHost.Location = new System.Drawing.Point(3, 3);
-      this.runCollectionViewHost.Name = "runCollectionViewHost";
-      this.runCollectionViewHost.ReadOnly = false;
-      this.runCollectionViewHost.Size = new System.Drawing.Size(613, 486);
-      this.runCollectionViewHost.TabIndex = 0;
-      this.runCollectionViewHost.ViewsLabelVisible = true;
-      this.runCollectionViewHost.ViewType = null;
-      // 
-      // stateLogTabPage
-      // 
-      this.stateLogTabPage.Controls.Add(this.stateLogViewHost);
-      this.stateLogTabPage.Location = new System.Drawing.Point(4, 22);
-      this.stateLogTabPage.Name = "stateLogTabPage";
-      this.stateLogTabPage.Size = new System.Drawing.Size(619, 492);
-      this.stateLogTabPage.TabIndex = 5;
-      this.stateLogTabPage.Text = "StateLog";
-      this.stateLogTabPage.UseVisualStyleBackColor = true;
-      // 
-      // stateLogViewHost
-      // 
-      this.stateLogViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.stateLogViewHost.Caption = "View";
-      this.stateLogViewHost.Content = null;
-      this.stateLogViewHost.Enabled = false;
-      this.stateLogViewHost.Location = new System.Drawing.Point(0, 0);
-      this.stateLogViewHost.Name = "stateLogViewHost";
-      this.stateLogViewHost.ReadOnly = false;
-      this.stateLogViewHost.Size = new System.Drawing.Size(619, 492);
-      this.stateLogViewHost.TabIndex = 0;
-      this.stateLogViewHost.ViewsLabelVisible = true;
-      this.stateLogViewHost.ViewType = null;
-      // 
-      // logTabPage
-      // 
-      this.logTabPage.Controls.Add(this.logView);
-      this.logTabPage.Location = new System.Drawing.Point(4, 22);
-      this.logTabPage.Name = "logTabPage";
-      this.logTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.logTabPage.Size = new System.Drawing.Size(619, 492);
-      this.logTabPage.TabIndex = 1;
-      this.logTabPage.Text = "Log";
-      this.logTabPage.UseVisualStyleBackColor = true;
-      // 
-      // logView
-      // 
-      this.logView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.logView.Caption = "Log View";
-      this.logView.Content = null;
-      this.logView.Location = new System.Drawing.Point(3, 3);
-      this.logView.Name = "logView";
-      this.logView.ReadOnly = false;
-      this.logView.Size = new System.Drawing.Size(613, 486);
-      this.logView.TabIndex = 0;
-      // 
-      // childHiveJobView
-      // 
-      this.childHiveJobView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.childHiveJobView.Caption = "JobItemList View";
-      this.childHiveJobView.Content = null;
-      this.childHiveJobView.Location = new System.Drawing.Point(3, 3);
-      this.childHiveJobView.Name = "childHiveJobView";
-      this.childHiveJobView.ReadOnly = false;
-      this.childHiveJobView.Size = new System.Drawing.Size(613, 486);
-      this.childHiveJobView.TabIndex = 0;
+      this.tabControl.Controls.Add(this.detailsTabPage);
+      this.tabControl.Controls.Add(this.stateLogTabPage);
+      this.tabControl.Controls.Add(this.runsTabPage);
+      this.tabControl.Controls.Add(this.logTabPage);
+      this.tabControl.Location = new System.Drawing.Point(3, 3);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(627, 518);
+      this.tabControl.TabIndex = 25;
       // 
       // HiveJobView
@@ -471,16 +444,15 @@
       this.Name = "HiveJobView";
       this.Size = new System.Drawing.Size(633, 524);
+      this.logTabPage.ResumeLayout(false);
+      this.stateLogTabPage.ResumeLayout(false);
+      this.runsTabPage.ResumeLayout(false);
+      this.detailsTabPage.ResumeLayout(false);
+      this.detailsTabPage.PerformLayout();
       this.jobStatusGroupBox.ResumeLayout(false);
       this.jobStatusGroupBox.PerformLayout();
-      this.tabControl.ResumeLayout(false);
-      this.detailsTabPage.ResumeLayout(false);
-      this.detailsTabPage.PerformLayout();
-      this.optimizerGroupBox.ResumeLayout(false);
       this.configurationGroupBox.ResumeLayout(false);
       this.configurationGroupBox.PerformLayout();
-      this.childJobsTabPage.ResumeLayout(false);
-      this.runsTabPage.ResumeLayout(false);
-      this.stateLogTabPage.ResumeLayout(false);
-      this.logTabPage.ResumeLayout(false);
+      this.optimizerGroupBox.ResumeLayout(false);
+      this.tabControl.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -489,24 +461,13 @@
     #endregion
 
-    private System.Windows.Forms.Label stateLabel;
-    private System.Windows.Forms.TextBox stateTextBox;
-    private System.Windows.Forms.TextBox executionTimeTextBox;
-    private System.Windows.Forms.TextBox dateCreatedTextBox;
-    private System.Windows.Forms.TextBox dateFinishedTextBox;
-    private System.Windows.Forms.TextBox exceptionTextBox;
-    private System.Windows.Forms.Label executionTimeLabel;
-    private System.Windows.Forms.Label dateCreatedLabel;
-    private System.Windows.Forms.Label dateFinishedLabel;
-    private System.Windows.Forms.Label exceptionLabel;
-    private System.Windows.Forms.TextBox dateCalculatedText;
-    private System.Windows.Forms.Label dateCalculatedLabel;
-    private System.Windows.Forms.GroupBox jobStatusGroupBox;
-    private System.Windows.Forms.TabControl tabControl;
-    private System.Windows.Forms.TabPage detailsTabPage;
     private System.Windows.Forms.TabPage logTabPage;
     private Core.Views.LogView logView;
-    private System.Windows.Forms.Label jobIdLabel;
-    private System.Windows.Forms.TextBox jobIdTextBox;
-    private System.Windows.Forms.TabPage childJobsTabPage;
+    private System.Windows.Forms.TabPage stateLogTabPage;
+    private MainForm.WindowsForms.ViewHost stateLogViewHost;
+    private System.Windows.Forms.TabPage runsTabPage;
+    private MainForm.WindowsForms.ViewHost runCollectionViewHost;
+    private System.Windows.Forms.TabPage detailsTabPage;
+    private System.Windows.Forms.GroupBox optimizerGroupBox;
+    private Core.Views.NamedItemView optimizerNamedItemView;
     private System.Windows.Forms.GroupBox configurationGroupBox;
     private System.Windows.Forms.TextBox priorityTextBox;
@@ -518,11 +479,21 @@
     private System.Windows.Forms.Label computeInParallelLabel;
     private System.Windows.Forms.CheckBox computeInParallelCheckBox;
-    private System.Windows.Forms.GroupBox optimizerGroupBox;
-    private Core.Views.NamedItemView optimizerNamedItemView;
-    private System.Windows.Forms.TabPage runsTabPage;
-    private MainForm.WindowsForms.ViewHost runCollectionViewHost;
-    private System.Windows.Forms.TabPage stateLogTabPage;
-    private MainForm.WindowsForms.ViewHost stateLogViewHost;
-    private HiveJobListView childHiveJobView;
+    private System.Windows.Forms.Label jobIdLabel;
+    private System.Windows.Forms.TextBox jobIdTextBox;
+    private System.Windows.Forms.GroupBox jobStatusGroupBox;
+    private System.Windows.Forms.TextBox stateTextBox;
+    private System.Windows.Forms.Label dateCalculatedLabel;
+    private System.Windows.Forms.Label stateLabel;
+    private System.Windows.Forms.TextBox dateCalculatedText;
+    private System.Windows.Forms.TextBox dateFinishedTextBox;
+    private System.Windows.Forms.TextBox executionTimeTextBox;
+    private System.Windows.Forms.TextBox dateCreatedTextBox;
+    private System.Windows.Forms.Label executionTimeLabel;
+    private System.Windows.Forms.Label exceptionLabel;
+    private System.Windows.Forms.Label dateCreatedLabel;
+    private System.Windows.Forms.Label dateFinishedLabel;
+    private System.Windows.Forms.TextBox exceptionTextBox;
+    private System.Windows.Forms.TabControl tabControl;
+
   }
 }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/StateLogGanttChartListView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/StateLogGanttChartListView.cs	(revision 5711)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/StateLogGanttChartListView.cs	(revision 5718)
@@ -23,5 +23,4 @@
 using System.Drawing;
 using System.Linq;
-using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -29,8 +28,8 @@
 namespace HeuristicLab.Clients.Hive.Views {
   [View("StateLogGanttChartList View")]
-  [Content(typeof(IItemList<StateLogList>), IsDefaultView = true)]
+  [Content(typeof(StateLogListList), true)]
   public sealed partial class StateLogGanttChartListView : ItemView {
-    public new IItemList<StateLogList> Content {
-      get { return (IItemList<StateLogList>)base.Content; }
+    public new StateLogListList Content {
+      get { return (StateLogListList)base.Content; }
       set { base.Content = value; }
     }
@@ -89,17 +88,8 @@
     }
 
-    //private void AddData(int i, int j, DateTime upperLimit) {
-    //  DateTime until = j < Content[i].Count - 1 ? Content[i][j + 1].DateTime : upperLimit;
-    //  TimeSpan duration = until - Content[i][j].DateTime;
-    //  string tooltip = string.Format("State: {0}\nDuration: {1}\n{2} - {3}", Content[i][j].State, Content[i][j].DateTime, duration, until);
-    //  if (!string.IsNullOrEmpty(Content[i][j].Exception))
-    //    tooltip += "\n" + Content[i][j].Exception;
-    //  ganttChart.AddData(i + 1, Content[i][j].State.ToString(), Content[i][j].DateTime, until, tooltip, false);
-    //}
-
     public static void AddData(GanttChart ganttChart, string name, StateLog from, StateLog to, DateTime upperLimit) {
       DateTime until = to != null ? to.DateTime : upperLimit;
       TimeSpan duration = until - from.DateTime;
-      string tooltip = string.Format("State: {0}\nDuration: {1}\n{2} - {3}", from.State, from.DateTime, duration, until);
+      string tooltip = string.Format("State: {0}\nDuration: {1}\n{2} - {3}", from.State, duration, from.DateTime, until);
       if (!string.IsNullOrEmpty(from.Exception))
         tooltip += "\n" + from.Exception;
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/StateLogGanttChartView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/StateLogGanttChartView.cs	(revision 5711)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/StateLogGanttChartView.cs	(revision 5718)
@@ -21,4 +21,5 @@
 
 using System;
+using System.Linq;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -26,5 +27,5 @@
 namespace HeuristicLab.Clients.Hive.Views {
   [View("StateLogGanttChart View")]
-  [Content(typeof(StateLogList), IsDefaultView = false)]
+  [Content(typeof(StateLogList), IsDefaultView = true)]
   public sealed partial class StateLogGanttChartView : ItemView {
     public new StateLogList Content {
@@ -60,11 +61,7 @@
         ganttChart.Reset();
         StateLogGanttChartListView.SetupCategories(ganttChart);
-        var upperLimit = DateTime.Now.AddSeconds(10);
-        
+        var upperLimit = DateTime.FromOADate(Math.Min(Content.Max(x => x.DateTime).ToOADate(), DateTime.Now.AddSeconds(10).ToOADate()));
+
         for (int i = 0; i < Content.Count-1; i++) {
-          //string tooltip = string.Format("State: {0}\n{1} - {2}", Content[i].State, Content[i].DateTime, Content[i + 1].DateTime);
-          //if (!string.IsNullOrEmpty(Content[i].Exception))
-          //  tooltip += "\n" + Content[i].Exception;
-          //ganttChart.AddData(Content[i].State.ToString(), Content[i].State.ToString(), Content[i].DateTime, Content[i + 1].DateTime, tooltip, false);
           StateLogGanttChartListView.AddData(ganttChart, i.ToString(), Content[i], Content[i+1], upperLimit);
         }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/StateLogListList.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/StateLogListList.cs	(revision 5718)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/StateLogListList.cs	(revision 5718)
@@ -0,0 +1,22 @@
+﻿using System.Collections.Generic;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Clients.Hive.Views {
+  [StorableClass]
+  public class StateLogListList : ItemList<StateLogList> {
+
+    [StorableConstructor]
+    protected StateLogListList(bool deserializing) : base(deserializing) { }
+    public StateLogListList() : base() { }
+    protected StateLogListList(StateLogListList original, Cloner cloner) : base(original, cloner) { }
+    public StateLogListList(IEnumerable<StateLogList> collection)
+      : base(collection) {
+    }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new StateLogListList(this, cloner);
+    }
+
+  }
+}
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/HeuristicLab.Clients.Hive.Views-3.4.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/HeuristicLab.Clients.Hive.Views-3.4.csproj	(revision 5711)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/HeuristicLab.Clients.Hive.Views-3.4.csproj	(revision 5718)
@@ -157,4 +157,5 @@
       <DependentUpon>UpdateControl.cs</DependentUpon>
     </Compile>
+    <Compile Include="ExperimentManager\StateLogListList.cs" />
     <Compile Include="ExperimentManager\ItemTreeView.cs">
       <SubType>UserControl</SubType>
